[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.MenuPopupHandler

Implements the OnMenuPopupHandler for the application.

## Declaration

Source position: forms.pp line 1589

`protected procedure TApplication.MenuPopupHandler(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

Assigned as the handler routine for the OnMenuPopupHandler variable in the LCL when the application instance is created.

Calls the HideHint method to manage values in HintWindow, HintControl, and HintRect (when needed).

## See also

OnMenuPopupHandler |  | Unit global variable with the event handler signalled when a pop-up menu is displayed.